//---------------------------------------------------------------------------

#include <vcl.h>
#include <iterator>
#include "algostuff.hpp"

#include <conio.h> //  getch()

#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;

std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}

int main()
{
  deque<int> coll;
  list<int> subcoll;

  INSERT_ELEMENTS(coll,1,7);
  INSERT_ELEMENTS(coll,1,7);

  INSERT_ELEMENTS(subcoll,3,6);

  PRINT_ELEMENTS(coll,   ":\n");
  PRINT_ELEMENTS(subcoll,":\n");
  //    subcoll  coll
  deque<int>::iterator pos;
  pos = search (coll.begin(), coll.end(),         // 
                subcoll.begin(), subcoll.end());  // 

  //     ,   coll
  //     subcoll
  while (pos != coll.end()) { 
      //    
      cout << ToRus("      ")
           << distance(coll.begin(),pos) + 1
           << endl;

      //    subcoll
      ++pos;
      pos = search (pos, coll.end(),                  // 
                    subcoll.begin(), subcoll.end());  // 
  }


  getch();
  return 0;
}

//---------------------------------------------------------------------------